/*
    Drools5 Integration Helper
    Copyright (C) 2009  Mathieu Boretti mathieu.boretti@gmail.com

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

 */
package org.boretti.drools.integration.drools5;

/**
 * This enumeration defines how to get the rules.
 * 
 * @author mbo
 *
 */
public enum DroolsServiceType {
	/**
	 * Get from source.
	 * 
	 * In this case, the drools file will be considered as source file and will be compiled
	 * on the fly.
	 */
	SOURCE,
	/**
	 * Get from compiled package.
	 * 
	 * In this case, the drools file will be considered as a package compiled file and will
	 * not be compiled. It is assumed that the file has been generated using the Maven plugin.
	 */
	COMPILED,
	/**
	 * Get from an XML file.
	 * 
	 * In this case, the drools XML file will be considered as XML source file and will be compiled
	 * on the fly.
	 */
	XML;
}
